package edu.ntnu.stud.chaosgame;

import edu.ntnu.stud.chaosgame.controller.game.ChaosGameDescription;
import edu.ntnu.stud.chaosgame.controller.game.ChaosGameFileHandler;
import edu.ntnu.stud.chaosgame.controller.game.ChaosCanvas;
import edu.ntnu.stud.chaosgame.controller.game.ChaosGame;
import edu.ntnu.stud.chaosgame.model.generators.ChaosGameDescriptionFactory;
import edu.ntnu.stud.chaosgame.view.ChaosGameGUIView;
import javafx.application.Application;
import javafx.stage.Stage;

import java.io.IOException;
import java.util.Objects;
import java.util.Scanner;

/**
 * Main class for the Chaos Game application.
 */
public class Main extends Application {

  @Override
  public void start(Stage primaryStage) throws IOException {
    ChaosGameGUIView view = new ChaosGameGUIView(primaryStage);

  }

  public static void main(String[] args) throws IOException {
    launch(args);



  }
}